! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.

subroutine ANXTypeName(ixtype, xtype)
    use netcdf_f77, only: NF_BYTE, NF_CHAR, NF_SHORT, NF_INT, &
        & NF_FLOAT, NF_DOUBLE
    use dc_string, only: VSTRING, assignment(=)
    integer, intent(in):: ixtype
    type(VSTRING), intent(out):: xtype
    select case(ixtype)
    case(0)
        xtype = "error"
    case(NF_CHAR)
        xtype = "char"
    case(NF_BYTE)
        xtype = "byte"
    case(NF_SHORT)
        xtype = "short"
    case(NF_INT)
        xtype = "int"
    case(NF_FLOAT)
        xtype = "float"
    case(NF_DOUBLE)
        xtype = "double"
    case default
        xtype = ""
    end select
end subroutine
